Skip to Content

Hi ABAP community,

for me the ABAP elementinfo in eclipse is one of the most powerful features of ADT. Whenever you need some information about a development object in the editor just click F2 and you have it. It is even more powerful since we introduced the navigation feature to display related type information in the popup as well.

Now with ADT version 2.73 a new features was integrated in the element info popup. Sometimes the elementinfo is overpacked with type information e.g. when checkíng the signature of good old ABAP function modules with lots of parameters. To quickly find the information you need we introduced now a search function in the element info popup:

 

 

You can open the search field via the toolbar button and you can start searching. Navigate through the findings is very comfortable via shortcuts (ENTER / SHIFT+ENTER) or the arrow toolbar buttons.

Regards,

Thomas.

 

To report this post you need to login first.

3 Comments

You must be Logged on to comment or reply to a post.

  1. Sergio Fraga

    Hello Thomas,

    I have a question for you and I am not sure if this is the correct place.

    I have created a question here on SDN but did not had any feedback.

    ABAP on Eclipse – Temporary Packages Bug

    In classic SE80 I can manage my local developments by creating local packages buy using $MY_LOCAL_PACKAGE.

    Now I want to add this local package to my favorites in ADT but ADT can’t find the package.

    I also discovered that If I try to create a sub package with a local super package I have the success(!) message:

    “Superpackage ‘$SUPER_PACKAGE’ does not exist; assign a different superpackage!”

    Can you help me with this?

    EDIT: I have found a workaround. Anyway I think there is a bug in the Project Explorer that should be addressed in following ADT versions.

    Thanks

    Sérgio Fraga

    (0) 
  2. Joachim Rees

     

    Hey Thomas,

    yesterday I read your blog, today I could use that feature! (-> successful knowledge management, I would say).

     

    But I guess this is only available in the newest version 2.73 (you didn’t mention it)? Sadly, I’m stuck on 2.64.3 here…

    best

    Joachim

    Joachim

    (1) 

Leave a Reply